package com.lightinit.hsdataplatform.service.admin;

import com.lightinit.hsdataplatform.model.admin.OrderDetailModel;
import com.lightinit.hsdataplatform.model.admin.OrderListModel;
import com.lightinit.hsdataplatform.model.admin.OrderSearchModel;

import java.util.List;

public interface IOrderService {

    List<OrderListModel> queryOrderList(OrderSearchModel inputModel);

    long queryOrderCount(OrderSearchModel inputModel);

    OrderDetailModel queryOrderDetail(Long id);
}
